summaryrefslogtreecommitdiff
path: root/app-admin/butonasvesel
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/butonasvesel')
-rw-r--r--app-admin/butonasvesel/Manifest2
-rw-r--r--app-admin/butonasvesel/butonasvesel-1.ebuild39
2 files changed, 41 insertions, 0 deletions
diff --git a/app-admin/butonasvesel/Manifest b/app-admin/butonasvesel/Manifest
new file mode 100644
index 00000000..6b469ad5
--- /dev/null
+++ b/app-admin/butonasvesel/Manifest
@@ -0,0 +1,2 @@
+DIST butonasvesel.tar.gz 707 SHA256 f54a59c7769522afaf6acf1ef4bd5709ba209eee96058418392371bf8b9a4dcd SHA512 da01764867ee8a56a37dcf20759639adf7fb06bd288aee64cf49c39f385313d288d60e7d404d611156a8917c7a17601f895330b53b9c5a63307bb44489607505 WHIRLPOOL de9006e3c316ef8280c8194f31ddfaded804d34a728c87c18e8e5637ade2f652c61508e78040ca6c51b23c80251ec6d70994ea36b0e0838e6b22417422c3161a
+EBUILD butonasvesel-1.ebuild 1703 SHA256 408c31df807c4e89c1a8ccc4c3010d3e0a13dbb2d0a2008ac5c21d9a113bd983 SHA512 6d806a6ad2a86641f9d18c06b525a6b9e79d53ed3dc618d675b37a984d51173e6cb11eebd0a0ba2d80b0c5c136bfea3e1f846ebdd0ecc257d8832dd0fc58f013 WHIRLPOOL 03c92b3ab13e442773e81ad07320a3ff7964d5b2cb7683401ff31758b4ee697c5a55cdac64f983a1ccfa831e6a6998ab1e7d0072a1ac4aa76cf139e6317ecd80
diff --git a/app-admin/butonasvesel/butonasvesel-1.ebuild b/app-admin/butonasvesel/butonasvesel-1.ebuild
new file mode 100644
index 00000000..e97adb6c
--- /dev/null
+++ b/app-admin/butonasvesel/butonasvesel-1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5" #EAPI, read docs for this. natural we use 5, but there must be a src_prepare() at least with something in it
+
+inherit eutils #Object-oriented packaging, inherit classes with functions that will follow
+
+DESCRIPTION="The most interesting button you have ever seen in your life"
+HOMEPAGE="http://rogentos.ro"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/distro/"${PN}"/"${PN}".tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0" #How many times do you want this package to exist/to be installed, to coexist in different versions
+KEYWORDS="~* ~amd64 ~x86" #Every architecture you like
+IUSE="" #Configure flags, also known as ./configure --features --enable/disable features to be used
+
+RDEPEND="" #runtime deps
+DEPEND="" #build deps
+COMMON_DEPEND="" #Your deps, if you want to handle your own dep-control
+
+S="${WORKDIR}"/${PN}/ # PN means the name of the ebuild. http://devmanual.gentoo.org/ebuild-writing/variables/
+
+# The next step must be used in anyway possible for the EAPI=5 to be valid
+# Naturally, you can start by using insinto functions
+src_prepare() { #unpacked files in the sandbox can be easily modified before all instalation process in this way
+ insinto "${S}"/${PN}/ || die "Failed to cd into directory"
+ emake || die "Failed to emake"
+}
+
+src_install() {
+ insinto /usr/sbin/
+ doins "${S}"/"${PN}" || die "Failed to copy compiled file" # Again, S means workdir and PN is helloworld
+ fperms 755 /usr/sbin/"${PN}"
+ elog "Some people don't know what to do with their 5:00 AM time"
+ elog "...while compiling hundreds of packages and turn them"
+ elog "into a useful ISO for people to use"
+}
+